# Practicum Neurale Netwerken

set title "Inleiding en Feedforward Netwerken, Opgave 4"

set xrange [0.0:1.0]
set yrange [0.0:1.0]
set zrange [0.0:1.0]
set samples 20
set isosamples 11
set nogrid
set key
set xlabel "x1"
set ylabel "x2"
set zlabel "y"
set dummy x1, x2

step (x) = (x > 0.0) ? 1.0 : 0.0

# Gewichten voor hidden unit nr 1
h1w0 =  1.0
h1w1 = -2.0
h1w2 = -2.0
# Gewichten voor hidden unit nr 2
h2w0 = -3.0
h2w1 =  2.0
h2w2 =  2.0
# Gewichten voor output unit nr 1
o1w0 = -1.0
o1w1 =  2.0
o1w2 =  2.0

# Hidden en output units
hidden1 (x1, x2) = step (h1w0 + h1w1 * x1 + h1w2 * x2)
hidden2 (x1, x2) = step (h2w0 + h2w1 * x1 + h2w2 * x2)
output1 (x1, x2) = step (o1w0 + o1w1 * hidden1(x1, x2) + o1w2 * hidden2(x1, x2))

splot output1 (x1, x2)

pause -1 "Toets ENTER voor vervolg..."
